{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "mnp_ci:whale_splash",
			"basic_render_parameters": {
				"material": "particles_alpha",
				"texture": "textures/particle/particles"
			}
		},
		"events": {
			"splash_pre": {
				"sequence": [
					{
						"particle_effect": {
							"effect": "mnp_ci:whale_spout_splash_block",
							"type": "emitter"
						}
					},
					{
						"particle_effect": {
							"effect": "mnp_ci:whale_spout_splash_water",
							"type": "emitter"
						}
					}
				]
			}
		},
		"components": {
			"minecraft:emitter_initialization": {
				"creation_expression": "v.y_offset=0;"
			},
			"minecraft:emitter_rate_steady": {
				"spawn_rate": 300,
				"max_particles": 15
			},
			"minecraft:emitter_lifetime_once": {
				"active_time": 0.2
			},
			"minecraft:emitter_shape_point": {
				"offset": ["math.random(-0.02,0.02)", "v.y_offset", "math.random(-0.02,0.02)"],
				"direction": ["math.random(-1,1)", 20, "math.random(-1,1)"]
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": "math.random(0.6, 4)"
			},
			"minecraft:particle_expire_if_in_blocks": ["minecraft:water", "minecraft:flowing_water", "minecraft:bubble_column"],
			"minecraft:particle_lifetime_events": {
				"expiration_event": "splash_pre"
			},
			"minecraft:particle_initial_speed": "math.random(4,10)",
			"minecraft:particle_motion_dynamic": {
				"linear_acceleration": ["(v.particle_random_1-0.5)*0.15", -9, "(v.particle_random_2-0.5)*0.15"],
				"linear_drag_coefficient": 1
			},
			"minecraft:particle_appearance_billboard": {
				"size": [0.1, 0.2],
				"facing_camera_mode": "lookat_y",
				"uv": {
					"texture_width": 128,
					"texture_height": 128,
					"uv": [8, 56],
					"uv_size": [8, 8]
				}
			},
			"minecraft:particle_motion_collision": {
				"enabled": "v.particle_age > 0.15",
				"collision_radius": 0.01,
				"expire_on_contact": true
			},
			"minecraft:particle_appearance_lighting": {},
			"minecraft:particle_appearance_tinting": {
				"color": [0.2, 0.30196, 1, 1]
			}
		}
	}
}